Bug 196602 - find prints hard link count warning for /proc
find prints hard link count warning for /proc
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-25 16:12 EDT by Eric Harney
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 23:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 162418 None None None Never

  None (edit)
Description Eric Harney 2006-06-25 16:12:10 EDT
Description of problem:
A user running find on /proc (or /) will see this warning message some of the time.
find: WARNING: Hard link count is wrong for ./2733/task: this may be a bug in
your filesystem driver.  Automatically turning on find's -noleaf option. 
Earlier results may have failed to include directories that should have been
searched.


Version-Release number of selected component (if applicable):
Linux packetbane 2.6.17-1.2139_FC5 #1 SMP Fri Jun 23 12:40:11 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux
findutils-4.2.27-4

How reproducible:
About 20% of the time when running find.

Steps to Reproduce:
$ find /proc -name asdf
  
Additional info:
It curiously only seems to warn for the same file (2733/task) when it happens. 
This is the java process running for FC5's azureus.  The task subfolder contains
entries for 50+ threads.

This issue was discussed in another bug (162418) but doesn't seem to have come
to any real resolution, and a note was left saying to file a bug if it was seen
on newer kernels.  It's unclear whether there is any actual kernel bug involved
or not, so I'm reporting, assuming this could still be an actual problem.
Comment 1 Dave Jones 2006-10-16 13:40:24 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.